Ubuntu

[needs-packaging] btnx

Reported by Murat Gunes on 2007-09-28
82
This bug affects 8 people
Affects Status Importance Assigned to Milestone
Debian
Fix Released
Unknown
btnx (Ubuntu)
Wishlist
Unassigned
Declined for Gutsy by Brian Murray
Declined for Hardy by Brian Murray

Bug Description

http://www.ollisalonen.com/btnx/

"btnx (Button Extension) is a daemon that enables rerouting of mouse button events through uinput as keyboard and other mouse button combinations. For example, you can configure an extra mouse button to send a Ctrl+Alt+Right command to switch workspaces. This is especially useful for mice with more buttons than Gnome or KDE can properly handle, or mice that need evdev and a 100 step howto to register button events at all.

btnx-config is a GUI configuration tool for btnx. btnx requires btnx-config to work, because btnx-config also detects your mouse and its buttons. This combination should work for just about any mouse."

License: GPL

phillips321 (phillips321) wrote :

I would also really like to see this added to synaptic, it's a very useful tool.

The days of a 3 button mouse are gone, ubuntu needs to support and allow customization of multibutton mice.

Many thanks to the btnx developer(s) ;-)

Eli L (flclfan) wrote :

I +1 this. This is a very useful program.

Ahmed Hamed (ahmedhamed88) wrote :

I also believe that btnx should be included in ubuntu. It is a very useful tool that helped me configure my mouse i an very easy way, and including it into ubuntu or at least the repositories will help in further simplifying the process.

Thanks for develop btnx developers.

Wolver1n3 (wolver1n3) wrote :

 button mouse days are long gone and almost forgotten this tool really needs to make it to a Ubuntu repo sooner rather then later.

Oli (oli) wrote :

+1

I can't stress how useful this tool is over the rubbish that evdev mapping makes you go through. This is top stuff and should definitely be available, if not included and enabled by default!

Data (ubuntuaddress) wrote :

+1 here, please package it!

Brett Alton (brett-alton) wrote :

I've had problems with the supplied .deb on the website:

brett@office:~$ sudo dpkg -i btnx_0.4.4-1_i386.deb
(Reading database ... 133889 files and directories currently installed.)
Unpacking btnx (from btnx_0.4.4-1_i386.deb) ...
dpkg: btnx: warning - conffile `etc/rc0.d' is not a plain file or symlink (= `/etc/rc0.d')
dpkg: btnx: warning - conffile `etc/rc2.d' is not a plain file or symlink (= `/etc/rc2.d')
dpkg: btnx: warning - conffile `etc/rc4.d' is not a plain file or symlink (= `/etc/rc4.d')
dpkg: btnx: warning - conffile `etc/rc6.d' is not a plain file or symlink (= `/etc/rc6.d')
dpkg: error processing btnx_0.4.4-1_i386.deb (--install):
 unable to create `./etc/btnx/events': No such file or directory
Errors were encountered while processing:
 btnx_0.4.4-1_i386.deb

If a developer is to pick this up, he/she will have to take 0.4.6.tar.gz (instead of the 0.4.4.deb) and turn that into a .deb fix those installation issues.

Olli Salonen (daou) wrote :

>> If a developer is to pick this up, he/she will have to take 0.4.6.tar.gz (instead of the 0.4.4.deb) and turn that into a .deb fix those installation issues.

This is a known issue with the deb package (made with checkinstall). btnx has a custom makefile and it has been a problem for maintainers who have packaged it for various distros. The .deb package doesn't correctly make the /etc/btnx directory and it results in a copy error for the events file. Also, it doesn't register the init scripts perfectly.

btnx will probably be converted to use GNU autotools like btnx-config is. No timeline for this yet, however. Of course, I am always available for help if someone starts to maintain an Ubuntu repo package of btnx.

Anders Pamdal (anders-pamdal) wrote :

Include and enable btnx default in Ubuntu is one step closer to solve bug #1 ( https://bugs.launchpad.net/ubuntu/+bug/1 )

Ubuntu really needs this so that newcomers from Windows can as seamless as possible start to work in their new environment without frustration.
Isn't everyone using a mouse with multiple buttons these days?

Anders Pamdal (anders-pamdal) wrote :

Help out with voting on this suggestion over at http://brainstorm.ubuntu.com/idea/120/

I know of a friend who does not use Ubuntu because he has such an expensive mouse with some 15 buttons and it would be useless in Ubuntu. He's extremely fond of it. BTNX could help with attracting people like him.

Please include and activate it by default.

I notice that buttons enabled through btnx can NOT be used to trigger compiz effect shortcuts :(

On my Mac I can map button 6 to expose's "show all windows" but when I try to do the same with btnx for compiz's ctrl+alt+down shortcut, it does not work.

bimmerd00d (podunk1218) wrote :

Looks like if i manually create /etc/btnx it installs just fine. Also to James Paige above me, enabling them for compiz effects works great. Maybe it's your mouse?

Brett Alton (brett-alton) wrote :

Olli now has BTNX dependant on autotools and soon libdaemon to fix some .deb issues he's been having: http://svn.ollisalonen.com/btnx/trunk/ChangeLog

The thing is, this idea has over 3000 positive vote (http://brainstorm.ubuntu.com/idea/120/) if you combine all of the related ideas.

Are we going to see this packaged in Hardy?

Olli, great work :)

Murat Gunes (mgunes) wrote :

It's way too late for new packages in Hardy, which is past Beta stage.

Oli (oli) wrote :

> It's way too late for new packages in Hardy, which is past Beta stage.
It's way too late for packages to be included by default, but it's never too late to have it added to the repos for download post-install...

It would be great for Intrepid but for now all we need is repo-access to make it easier for people too scared to compile things.

Murat Gunes (mgunes) wrote :

> but it's never too late to have it added to the repos for download post-install...

No, it's also too late for new packages in the repositories, unless they contribute to preplanned release specifications and an exception is warranted. Please read https://wiki.ubuntu.com/FeatureFreeze and https://wiki.ubuntu.com/UbuntuDevelopment/NewPackages.

recluse (brian1027) wrote :

Found this topic through a google search because I just installed Hardy this morning, and now I am trying to get my MS Intellimouse Explorer to work. From reading in the forums many others are having similar problems. What an Abortion!

#1 The misc. buttons on it seen to do nothing except for the right and left click
#2 The scroll wheel scrolls very slow
#3 if the battery level gets low, I dont think there is a warning like there is under windows (wishlist)
#4 the tilt wheel (left or right scroll) does nothing.

I had it ALL working satisfactorily under 7.10, but I upgrade, and now I have to fight the same problem all over again.

Ryan Prior (ryanprior) wrote :

While it's too late to be included in Hardy universe, you could still put the Ubuntu packages on GetDeb for easy installation.

http://www.getdeb.net/search.php?keywords=btnx

Olli Salonen (daou) wrote :

I've set up a PPA for btnx and btnx-config:

deb http://ppa.launchpad.net/daou/ubuntu distro main
deb-src http://ppa.launchpad.net/daou/ubuntu distro main

Replace distro with either feisty, gutsy, or hardy and place it in /etc/apt/sources.list. I've tested the Feisty packages.

Building the debs needed some tricks here and there, but for future reference for any possible Ubuntu maintainers, here are the diffs (diffs for distros differ only for the changelog):
http://ollisalonen.com/btnx/btnx_0.4.10-hardy1~ppa2.diff.gz
http://ollisalonen.com/btnx/btnx-config_0.4.9-hardy1~ppa2.diff.gz

Iain Lane (laney) wrote :

Olli, do you plan on submitting this to REVU for inclusion in the official repos? If not, I'm happy to have a go at working on this, starting with your packages as a base.

Olli Salonen (daou) wrote :

Iain,
I'm not familiar with REVU and haven't considered it. You're more than welcome to do it. To avoid spamming this bug report, you can email me directly about any questions you may have. You can find my email on my Launchpad portfolio page.

I also have a python script for automatically checking out a tagged version from btnx or btnx-config SVN, copying all necessary debian files, and generating the changelog, diffs, and other files required for a deb build for the latest 3 distros. If you think it will be of use, ask me about it.

Iain Lane (laney) wrote :

I've decided to drop this task, as the package as-is has a number of issues that will make it difficult to get accepted. I have my working files if anyone wants to pick the task up.

Michael Nagel (nailor) wrote :

i've never packaged something and definitely not the time to do so, but have you contacted the upstream developer about the issues? how did he respond?

Philipp Kern (pkern) wrote :

Package got auto-synced from Debian on 2008-11-07 into Ubuntu Jaunty and will be, as of now, included in the next release.

Vadim Peretokin (vperetokin) wrote :

It fails to run:

"btnx-config needs the file /etc/btnx/events to run. Make sure you have installed btnx first, and that the file exists."

And I don't see a btnx package in 9.04

Oli (oli) wrote :

I thought the btnx project was dead... So I'm slightly confused as to why there's so much activity in this thread.

Why are you chasing up the packaging of an obsolete app?

If btnx is dead, what has replaced it? Its function is still needed.

On Sun, Feb 15, 2009 at 10:43 AM, Oli <email address hidden> wrote:

> I thought the btnx project was dead... So I'm slightly confused as to
> why there's so much activity in this thread.
>
> Why are you chasing up the packaging of an obsolete app?
>
> --
> [needs-packaging] btnx
> https://bugs.launchpad.net/bugs/146160
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Oli (oli) wrote :

I'm only regurgitating what its creator said on the project page:
http://www.ollisalonen.com/btnx/

He seems to think that evdev is getting good enough.

On Sun, 2009-02-15 at 18:45 +0000, Ryan Prior wrote:

> If btnx is dead, what has replaced it? Its function is still needed.
>
> On Sun, Feb 15, 2009 at 10:43 AM, Oli <email address hidden> wrote:
>
> > I thought the btnx project was dead... So I'm slightly confused as to
> > why there's so much activity in this thread.
> >
> > Why are you chasing up the packaging of an obsolete app?
> >
> > --
> > [needs-packaging] btnx
> > https://bugs.launchpad.net/bugs/146160
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>

Olli Salonen (daou) wrote :

Has anyone tried btnx in Jaunty? It seems that btnx did not work in Intrepid because Ubuntu packaged a version of xserver that had a bug. I would suspect Jaunty uses the fixed version.

Also, evdev is better but there is still no user friendly way to configure mice.

Linus Hoppe (linus-hoppe) wrote :

Will we see this package in karmic?

Michael Nagel (nailor) wrote :

this package is in jaunty already
http://packages.ubuntu.com/search?keywords=btnx

doesnt work too well for me, tough

Olli Salonen (daou) wrote :

I suggest trying easystroke for configuring mouse buttons. It works differently than btnx, but it seems to get the job done.

I still have a working btnx in Jaunty but I think I installed it from source and had to hack at it a bit. I don't really recommend using it anymore although I do.

Michael Nagel (nailor) wrote :

does easystroke support additional mouse buttons? are the packages?

Changed in debian:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.